/trustpilot-search

Returns search resutls from Trustpilot.

↗ Open in API Explorer
GET

Returns search resutls from Trustpilot.

Request

Endpoint: GET https://api.outscraper.cloud/trustpilot-search

Parameters

NameInTypeRequiredDescriptionExampleConstraints
query query array<string> Yes Company or category to search on Trustpilot (e.g., real estate). It supports batching by sending arrays with up to 1000 queries (e.g., query=text1&query=text2&query=text3). It allows multiple queries to be sent in one request and to save on network latency time. - -
limit query integer No The parameter specifies the limit of items to get from one query. - default 100
skip query integer No The parameter specifies the number of items to skip. Used for pagination. - default 0
enrichment query array<string> No The parameter defines an enrichment or enrichments (e.g., enrichment=enrichment1&enrichment=enrichment2&enrichment=enrichment3) you want to apply to the results. Available values: contacts_n_leadsContacts & Leads Enrichment: finds emails, social links, phones, and other contacts from websites; emails_validator_serviceEmail Address Verifier: validates emails, checks deliverability, filters out blacklists, spam traps, and complainers, while significantly reducing your bounce rate; company_websites_finder - Company Website Finder: finds company websites based on business names; disposable_email_checkerDisposable Emails Checker: checks origins of email addresses (disposable, free, or corporate); company_insights_serviceCompany Insights: Finds company firmographics such as revenue, size, founding year, public status, etc.; phones_enricher_servicePhone Numbers Enricher: returns phones carrier data (name/type), validates phones, ensures messages deliverability, trustpilot_serviceTrustpilot Scraper: returns data from a list of businesses, whitepages_phones - Phone Identity Finder: returns insights about phone number owners (name, address, etc.); ai_chain_info - Chain Info: identifies if a business is part of a chain, adding a true/false indication to your data for smarter targeting. Using enrichments increases the time of the response. You might want to use the async=true parameter to avoid getting timeouts. - -
fields query string No The parameter defines which fields you want to include with each item returned in the response. By default, it returns all fields. Use &fields=query,name to return only the specific ones. - -
async query boolean Yes The parameter defines the way you want to submit your task to Outscraper. It can be set to false to open an HTTP connection and keep it open until you got your results, or true (default) to just submit your requests to Outscraper and retrieve them later (usually within 1-3 minutes) with the Request Results endpoint. Each response is available for 4 hours after a request has been completed. A good practice is to send async requests and start checking the results after the estimated execution time. Check out this Python implementation as an example. As most of the requests take some time to be executed the async=true option is preferred to avoid HTTP requests timeouts. - default true
ui query boolean No The parameter defines whether a task will be executed as a UI task. This is commonly used when you want to create a regular platform task with API. Using this parameter overwrites the async parameter to true. - default false
format query array<string enum> No The parameter defines the format of the output data. Using this parameter overwrites the ui parameter to true. - -
webhook query string No The parameter defines the URL address (callback) to which Outscraper will create a POST request with a JSON body once a task/request is finished. Using this parameter overwrites the webhook from integrations. - -

Responses

200

application/json

The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.

{
  "id": "your-request-id",
  "status": "Success",
  "data": [
    {
      "query": "outscraper.com",
      "name": "Outscraper",
      "rating": 4,
      "reviews": 16,
      "site": "http://outscraper.com",
      "profile_image": "//s3-eu-west-1.amazonaws.com/tpd/logos/61c9aa394dd15d881199ed1a/0x0.png",
      "page_url": null,
      "claimed": true,
      "closed": false,
      "temporarily_closed": false,
      "categories": [
        "Database Management Company"
      ],
      "email": "service@outscraper.com",
      "phone": "",
      "address": "Delaware state",
      "city": "Middletown",
      "country": "US",
      "zip_code": "19709"
    }
  ]
}

202

application/json

The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.

{
  "id": "your-request-id",
  "status": "Pending",
  "results_location": "https://api.outscraper.cloud/requests/your-request-id"
}

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

402

application/json

Past due invoices or a payment method not connected.

{
  "error": true,
  "errorMessage": "Please close past due invoices or verify your card information is correct."
}

422

application/json

Wrong query url parameters.

{
  "error": true,
  "errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}

Code Samples

cURL

curl -X GET "https://api.outscraper.cloud/trustpilot-search?query=real+estate&async=false" -H  "X-API-KEY: YOUR-API-KEY"

cURL (async)

curl -X GET "https://api.outscraper.cloud/trustpilot-search?query=real+estate" -H  "X-API-KEY: YOUR-API-KEY"

Related Endpoints

Retrieve business records with optional enrichment data. This endpoint provides access to millions of business listings with support for pagination and selective data enrichment.…

Returns places from Google Maps based on a given search query (or many queries). The results from searches are the same as you would see by visiting a regular Google Maps site. Ho…